Schedule a backfill for rules

Base URL
https://{kibana_url}
  • POST /api/alerting/rules/backfill/_schedule
Auth

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

<array> object[] · min items: 1 · max items: 100
ranges object[] required
end string required
start string required
rule_id string required
run_actions boolean

Responses

Indicates a successful call.

application/json
An array; each item is any of:
created_at string required
duration string required
enabled boolean required
end string
id string required
initiator enum required
Values: user system
initiator_id string
rule object required
api_key_created_by_user boolean nullable
api_key_owner string · default: null nullable
consumer string required
created_at string required
created_by string · default: null nullable
enabled boolean required
id string required
name string required
params map string to object required

The parameters for the rule.

revision number required
rule_type_id string required
schedule object required
interval string required
tags string[] required
updated_at string required
updated_by string · default: null nullable
schedule object[] required
interval string required
run_at string required
status enum required
Values: complete pending running error timeout
space_id string required
start string required
status enum required
Values: complete pending running error timeout
400

Indicates an invalid schema or parameters.

403

Indicates that this call is forbidden.

404

Indicates a rule with the given ID does not exist.

Base URL
https://{kibana_url}